Subject: Re: linux-next: build warnings after merge of the origin tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 26 Feb 2021 12:57:00 +1100

Hi all,

On Wed, 24 Feb 2021 08:56:54 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> On Fri, 19 Feb 2021 17:01:13 +0100 Paolo Bonzini <[email-masked]> wrote:
> >
> > On 19/02/21 16:33, Vitaly Kuznetsov wrote:  
> > > Stephen Rothwell <[email-masked]> writes:  
> > >>
> > >> Building Linus' tree, today's linux-next build (htmldocs) produced
> > >> these warnings:
> > >>
> > >> Documentation/virt/kvm/api.rst:4537: WARNING: Unexpected indentation.
> > >> Documentation/virt/kvm/api.rst:4539: WARNING: Block quote ends without a blank line; unexpected unindent.
> > >>
> > >> Introduced by commit
> > >>
> > >>    c21d54f0307f ("KVM: x86: hyper-v: allow KVM_GET_SUPPORTED_HV_CPUID as a system ioctl")
> > >>
> > >> These have been around for some time.    
> > > 
> > > I remember seeing a patch fixing these:
> > > https://lore.kernel.org/kvm/[email-masked]/
> > > 
> > > Paolo, could you please queue it up? Thanks!    
> > 
> > I was expecting Jon to pick it up, but yes I can do that too.  
> 
> I am still seeing the above and have noticed another one:

So the above are now gone, thanks, but the below is still there (line
number changed to 5004).

> 
> Documentation/virt/kvm/api.rst:5002: WARNING: Unexpected indentation.
> Documentation/virt/kvm/api.rst:5002: WARNING: Inline emphasis start-string without end-string.
> 
> Introduced by commit
> 
>   c32b1b896d2a ("KVM: X86: Add the Document for KVM_CAP_X86_BUS_LOCK_EXIT")
> 
> (Not new, but newly reported - or maybe just changed line number)

-- 
Cheers,
Stephen Rothwell